**Full name**: projects.locations.publishers.models.rawPredict

Perform an online prediction with an arbitrary HTTP payload.

The response includes the following HTTP headers:

- `X-Vertex-AI-Endpoint-id`: id of the `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints#Endpoint` that served this prediction.

- `X-Vertex-AI-Deployed-Model-id`: id of the Endpoint's `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints#DeployedModel` that served this prediction.

### Endpoint

post `https://{service-endpoint}/v1/{endpoint}:rawPredict`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`endpoint` `string` Required. The name of the Endpoint requested to serve the prediction. Format: `projects/{project}/locations/{location}/endpoints/{endpoint}`

### Request body

The request body contains data with the following structure:
Fields `httpBody` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/HttpBody`)`` The prediction input. Supports HTTP headers and arbitrary data payload.

A `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints#DeployedModel` may have an upper limit on the number of instances it supports per request. When this limit it is exceeded for an AutoML model, the `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints/rawPredict#google.cloud.aiplatform.v1.PredictionService.RawPredict` method returns an error. When this limit is exceeded for a custom-trained model, the behavior varies depending on the model.

You can specify the schema for each instance in the `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/PredictSchemata#FIELDS.instance_schema_uri` field when you create a `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.models#Model`. This schema applies when you deploy the `Model` as a `DeployedModel` to an `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.endpoints#Endpoint` and use the `models.rawPredict` method.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `endpoint` resource:

- `aiplatform.endpoints.predict`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).